<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for HouseFacade StructType
 * @subpackage Structs
 */
class HouseFacade extends AbstractStructBase
{
    /**
     * The id
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var int
     */
    public $id;
    /**
     * The type
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $type;
    /**
     * Constructor method for HouseFacade
     * @uses HouseFacade::setId()
     * @uses HouseFacade::setType()
     * @param int $id
     * @param string $type
     */
    public function __construct($id = null, $type = null)
    {
        $this
            ->setId($id)
            ->setType($type);
    }
    /**
     * Get id value
     * @return int|null
     */
    public function getId()
    {
        return $this->id;
    }
    /**
     * Set id value
     * @param int $id
     * @return \StructType\HouseFacade
     */
    public function setId($id = null)
    {
        // validation for constraint: int
        if (!is_null($id) && !(is_int($id) || ctype_digit($id))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($id, true), gettype($id)), __LINE__);
        }
        $this->id = $id;
        return $this;
    }
    /**
     * Get type value
     * @return string|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @uses \EnumType\HouseFacadeTypeEnum::valueIsValid()
     * @uses \EnumType\HouseFacadeTypeEnum::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $type
     * @return \StructType\HouseFacade
     */
    public function setType($type = null)
    {
        // validation for constraint: enumeration
        if (!\EnumType\HouseFacadeTypeEnum::valueIsValid($type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \EnumType\HouseFacadeTypeEnum', is_array($type) ? implode(', ', $type) : var_export($type, true), implode(', ', \EnumType\HouseFacadeTypeEnum::getValidValues())), __LINE__);
        }
        $this->type = $type;
        return $this;
    }
}
